﻿@{
    ViewBag.Title = "Campaña";
    Layout = "~/Views/Shared/_LayoutMenu.cshtml";
}

<style>
    .grid {
        width: 100%;
        margin-bottom: 25px;
        margin-top: 25px;
        margin-left: 14px;
    }

    .grid-item {
        width: 220px;
    }

        .grid-item img {
            width: 280px;
            margin-bottom: 5px;
            border-radius: 4px;
        }

    .grid-item-width2 {
        width: 400px;
    }
</style>
<section id="cart-page">
    <div class="container">

        <div class="grid">

            @{
                Random rnd = new Random();
                var numberList = Enumerable.Range(1, 80).ToList();
                var list = numberList.OrderBy(x => rnd.Next());
            }
            @foreach (var n in list)
            {
                <div class="grid-item">
                    <a href="/Content/images/lookbook/lookbook (@n).jpg" rel="example3" class="cboxElement" data-toggle="lightbox" data-gallery="lookbook">
                        <img src="/Content/assets/images/lookbook/lookbook (@n).jpg">
                    </a>
                </div>
            }


        </div>

    </div>
</section>

@section Scripts {
    <script src="/Content/assets/js/jquery.colorbox.js"></script>
    <link href="/Content/assets/css/colorbox.css" rel="stylesheet" />
    <link href="/Content/assets/js/ekko-lightbox/ekko-lightbox.min.css" rel="stylesheet" />
    <script src="/Content/assets/js/ekko-lightbox/bootstrap.min.js"></script>
    <script src="/Content/assets/js/ekko-lightbox/ekko-lightbox.min.js"></script>
    <script src="/Content/assets/js/imagesloaded.pkgd.min.js"></script>
    <script src="/Content/assets/js/masonry.pkgd.min.js"></script>
    <script type="text/javascript">

    $(document).ready(function () {

        $(document).on('click', '[data-toggle="lightbox"]', function (event) {
            event.preventDefault();
            $(this).ekkoLightbox();
        });
        //$("a[rel='example3']").colorbox({ transition: "none", height: "90%", title: false, opacity: 0.65, slideshow: false, current: function () { return $(this).parent().next().text() } });


        $('.grid').hide();
        $('.grid').imagesLoaded(function () {
            $('.grid').show();
            $('.grid').masonry(
            {
                itemSelector: '.grid-item',
                columnWidth: 225
            });
        });

        $('.grid').masonry();

    });

    </script>
}


